Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 614618 - sci-visualization/paraview: not compatible with newer jsoncpp
Summary: sci-visualization/paraview: not compatible with newer jsoncpp
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Matthias Maier
URL: https://gitlab.kitware.com/paraview/p...
Whiteboard:
Keywords:
Depends on:
Blocks: 584824
  Show dependency tree
 
Reported: 2017-04-04 11:31 UTC by Pacho Ramos
Modified: 2017-05-31 21:15 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2017-04-04 11:31:56 UTC
This is the only consumer of old jsoncpp, that is not compatible with gcc6. It seems Fedora fixed this updating to a newer RC version probably including the patch from:
https://gitlab.kitware.com/paraview/paraview/issues/16938
Comment 1 Jouni Kosonen 2017-04-08 19:36:04 UTC
paraview-5.2.0 compiles with jsoncpp-1.7.5 and jsoncpp-1.8.0 (see bug #602266)
but it needs dev-libs/protobuf-3.2.0 (see bug #611180 and PR 4039)
Comment 2 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2017-05-18 21:38:38 UTC
We have the new protobuf & paraview, it seems. Can we remove the old version that forces us to keep old jsoncpp?
Comment 3 Volkmar Glauche 2017-05-30 07:58:15 UTC
Until now, the ebuild for paraview-5.2.0 still depends on <dev-libs/jsoncpp-1.7.5.
Comment 4 Matthias Maier gentoo-dev 2017-05-31 21:15:32 UTC
commit cf6756245d694a3a9d2d3fc3816556b7ae886ea4 (HEAD -> master, origin/master, origin/HEAD)
Author: Matthias Maier <tamiko@gentoo.org>
Date:   Wed May 31 16:06:31 2017 -0500

    sci-visualization/paraview: drop old versions
    
    Package-Manager: Portage-2.3.5, Repoman-2.3.2



commit be4bc1696afff38648b11836bef7f2912111cad6
Author: Matthias Maier <tamiko@gentoo.org>
Date:   Wed May 31 16:05:54 2017 -0500

    sci-visualization/paraview: fix dependency on dev-libs/jsoncpp, bug #614618
    
    Package-Manager: Portage-2.3.5, Repoman-2.3.2